### Hierarchy

- RuleBuilderGroupLogicComponent

### Implements

- OnInit

## Index

### Inputs

- anyAll
- ofTheFollowingLabel
- selected

### Outputs

- selectedChange

### Constructors

- constructor

### Properties

- anyAll
- i18n
- ofTheFollowingLabel
- selected
- selectedChange

### Methods

- ngOnInit

## Constructors

### constructor

- new RuleBuilderGroupLogicComponent(i18n: I18n): RuleBuilderGroupLogicComponent

- - Defined in packages/angular/src/rule-builder/rule-builder-group-logic.component.ts:38

  #### Parameters

  - ##### i18n: I18n

  #### Returns RuleBuilderGroupLogicComponent

## Properties

### anyAll

@Input()
anyAll: { content: string; id: string; selected: boolean }[] = ...

- Defined in packages/angular/src/rule-builder/rule-builder-group-logic.component.ts:31

An array of options for the dropdown

Each option is an object containing:

`content` - the display value (you can use this for translation) `id` - the value used for selection, should be either `'all'` or `'any'` `selected` - set to `true` for the value selected by default ( by default it's `'all'`)

### Protected i18n

i18n: I18n

### ofTheFollowingLabel

@Input()
ofTheFollowingLabel: string = ''

- Defined in packages/angular/src/rule-builder/rule-builder-group-logic.component.ts:37

### selected

@Input()
selected: "all" | "any" = 'all'

- Defined in packages/angular/src/rule-builder/rule-builder-group-logic.component.ts:36

### selectedChange

@Output()
selectedChange: EventEmitter<any> = ...

- Defined in packages/angular/src/rule-builder/rule-builder-group-logic.component.ts:38

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/rule-builder/rule-builder-group-logic.component.ts:42

  #### Returns void

Generated using TypeDoc